Subject: Re: [PATCH RFC 5/5] Add KSZ8795 SPI driver

From: Andrew Lunn <[email-masked]>
Date: Fri, 8 Sep 2017 20:37:29 +0200

> Sorry about the formatting.  It seems my e-mail system needs to be checked
> to make sure it does not auto-format the contents again.

I've never seen issues like this with git send-email. Please use
it. Email problems generally happen with the client, not the
backend. What client did you use to send these patches?

> About the SPI access functions they are the same for each driver except the
> low level ksz_spi_read_reg and ksz_spi_write_reg.  The dev_io_ops structure
> should contain only those 2 and ksz_spi_get and ksz_spi_set.
> 
> But that requires changing ksz_spi.c.  The idea was to keep the code of
> KSZ9477 driver with little change as possible while introducing another driver.

Maintainability is always the primary goal. If you need to change the
KSZ9477 code to make the whole more maintainable, do so. Just make it
lots of small, easy to review, obviously correct changes.

     Andrew